﻿using CoreModels.Tools;
using ModuleTools.Attributes;

namespace CoreModels.ModelsSecurity
{
    /// <summary>
    /// Модель, описывающиая общие настройки системы
    /// </summary>
	[EntityDescription("EnviromentSetting", "Общие настройки системы")]
    public interface IEnviromentSettingModel : IId
    {
        /// <summary>
        /// Ключ настройки
        /// </summary>
        string Key { get; }

        /// <summary>
        /// Значение настройки
        /// </summary>
        string Value { get; }

        /// <summary>
        /// Описание настройки
        /// </summary>
        string Description { get; }
    }
}