﻿using CoreModels.ModelsSecurity;
using ModuleTools.Attributes;
using ModuleTools.BindingModels;
using System;
using System.ComponentModel.DataAnnotations;

namespace SecurityBusinessLogic.BindingModels
{
	/// <summary>
	/// Получение пользователя
	/// </summary>
	public class UserGetBindingModel : GetBindingModel
	{
		public string UserNameForSearch { get; set; }

		public string Login { get; set; }
	}

	/// <summary>
	/// Сохранение пользователя
	/// </summary>
	public class UserSetBindingModel : SetBindingModel, IUserModel
	{
		[Required(ErrorMessage = "required")]
		[MapConfiguration("UserName")]
		public string UserName { get; set; }

		[Required(ErrorMessage = "required")]
		[MapConfiguration("Password")]
		public string PasswordHash { get; set; }

		[MapConfiguration("Avatar")]
		public byte[] Avatar { get; set; }

		[MapConfiguration("DateLastVisit")]
		public DateTime? DateLastVisit { get; set; }

		[MapConfiguration("IsBanned")]
		public bool IsBanned { get; set; }

		[MapConfiguration("DateBanned")]
		public DateTime? DateBanned { get; set; }

		[MapConfiguration("CountAttempt")]
		public int CountAttempt { get; set; }
    }
}